import io
import setuptools

with io.open("README.md", encoding="utf8") as f:
    readme = f.read()

setuptools.setup(
    name="hrse",
    version="0.0.5",
    author="HEDA",
    author_email="heda@heda.biz",
    url="https://gitee.com/hedabiz/PJ2004_HedaRsEngine_Python",
    maintainer="Eason Liu",
    maintainer_email="eason.liu@heda.biz",
    description="禾大遥感引擎工程。",
    long_description=readme,
    long_description_content_type="text/markdown",
    packages=setuptools.find_packages("src"),
    package_dir={"": "src"},
    python_requires='>=3.6',
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    install_requires=[
        "setuptools",
        "kazoo",
        "dubbo-py",
        "paho-mqtt",
        "PyQt5==5.13.0",
        "PyQt5-stubs",
        "pyqt5-tools==5.13.0.1.5",
        "pyinstaller",
        "google-api-python-client",
        "earthengine-api",
        "google-cloud-storage",
        "geoserver-restconfig",
        "pyproj",
        "numpy",
        "hdutils",
        "hcmd",
    ],
    extras_require={
        "dotenv": ["python-dotenv"],
        "dev": [
            "pytest",
            "coverage",
            "twine",
        ],
        "docs": [
            "sphinx",
        ],
    },
)